<?php
/**
 * DiscountTypeEnum
 *
 * PHP version 5
 *
 * @category Class
 * @package  Ensi\MarketingClient
 * @author   OpenAPI Generator team
 * @link     https://openapi-generator.tech
 */

/**
 * Ensi. Marketing.
 *
 * Маркетинг
 *
 * The version of the OpenAPI document: 1.0.0
 * 
 * Generated by: https://openapi-generator.tech
 * OpenAPI Generator version: 4.3.1
 */

/**
 * NOTE: This class is auto generated by OpenAPI Generator (https://openapi-generator.tech).
 * https://openapi-generator.tech
 * Do not edit the class manually.
 */

namespace Ensi\MarketingClient\Dto;
use \Ensi\MarketingClient\ObjectSerializer;

/**
 * DiscountTypeEnum Class Doc Comment
 *
 * @category Class
 * @description Доступные типы скидок:   * &#x60;1&#x60; - скидка на оффер   * &#x60;3&#x60; - скидка на бренд   * &#x60;4&#x60; - скидка на категорию   * &#x60;5&#x60; - скидка на доставку   * &#x60;6&#x60; - скидка на сумму корзины
 * @package  Ensi\MarketingClient
 * @author   OpenAPI Generator team
 * @link     https://openapi-generator.tech
 */
class DiscountTypeEnum
{
    /**
     * Possible values of this enum
     */
    const DISCOUNT_TYPE_OFFER = 1;
    const DISCOUNT_TYPE_BRAND = 3;
    const DISCOUNT_TYPE_CATEGORY = 4;
    const DISCOUNT_TYPE_DELIVERY = 5;
    const DISCOUNT_TYPE_CART_TOTAL = 6;
    
    /**
     * Gets allowable values of the enum
     * @return string[]
     */
    public static function getAllowableEnumValues(): array
    {
        return [
            self::DISCOUNT_TYPE_OFFER,
            self::DISCOUNT_TYPE_BRAND,
            self::DISCOUNT_TYPE_CATEGORY,
            self::DISCOUNT_TYPE_DELIVERY,
            self::DISCOUNT_TYPE_CART_TOTAL,
        ];
    }
}


